# Poco::Net

# class PrivateKeyFactory

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/PrivateKeyFactory.h

## Description

A PrivateKeyFactory is responsible for creating PrivateKeyPassphraseHandlers.

You don't need to access this class directly. Use the macro

    POCO_REGISTER_KEYFACTORY(namespace, PrivateKeyPassphraseHandlerName)

instead (see the documentation of PrivateKeyPassphraseHandler for an example).

## Inheritance

Known Derived Classes: PrivateKeyFactoryImpl

## Member Summary

Member Functions: create

## Constructors

### PrivateKeyFactory

PrivateKeyFactory();

Creates the PrivateKeyFactory.

## Destructor

### ~PrivateKeyFactory

virtual ~PrivateKeyFactory();

Destroys the PrivateKeyFactory.

## Member Functions

### create

virtual PrivateKeyPassphraseHandler * create(
bool onServer
) const = 0;

Creates a new PrivateKeyPassphraseHandler